package com.fs.watch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.watch.domain.WatchCompany;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * 用户绑定公司Mapper接口
 *
 * @author fs
 * @date 2025-05-14
 */
public interface WatchCompanyMapper extends BaseMapper<WatchCompany>{
    /**
     * 查询用户绑定公司
     *
     * @param id 用户绑定公司主键
     * @return 用户绑定公司
     */
    WatchCompany selectWatchCompanyById(Long id);

    /**
     * 查询用户绑定公司列表
     *
     * @param watchCompany 用户绑定公司
     * @return 用户绑定公司集合
     */
    List<WatchCompany> selectWatchCompanyList(WatchCompany watchCompany);

    /**
     * 新增用户绑定公司
     *
     * @param watchCompany 用户绑定公司
     * @return 结果
     */
    int insertWatchCompany(WatchCompany watchCompany);


    void insertBatchWatchCompany(@Param("list") ArrayList<WatchCompany> cList);

    void deleteBatch(@Param("deviceId")Long deviceId,@Param("list") List<String> subList);
}
